RouterGetUserMappingsProtocolServerSideTranslatorPB (Apache Hadoop HDFS-RBF 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.protocolPB, class: RouterGetUserMappingsProtocolServerSideTranslatorPB

Package org.apache.hadoop.hdfs.protocolPB

# Class RouterGetUserMappingsProtocolServerSideTranslatorPB

java.lang.Object
org.apache.hadoop.tools.protocolPB.GetUserMappingsProtocolServerSideTranslatorPB
org.apache.hadoop.hdfs.protocolPB.RouterGetUserMappingsProtocolServerSideTranslatorPB

All Implemented Interfaces:
  `org.apache.hadoop.tools.proto.GetUserMappingsProtocolProtos.GetUserMappingsProtocolService.BlockingInterface`, `org.apache.hadoop.tools.protocolPB.GetUserMappingsProtocolPB`

public class RouterGetUserMappingsProtocolServerSideTranslatorPB extends org.apache.hadoop.tools.protocolPB.GetUserMappingsProtocolServerSideTranslatorPB

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RouterGetUserMappingsProtocolServerSideTranslatorPB(org.apache.hadoop.tools.GetUserMappingsProtocol impl)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.apache.hadoop.tools.proto.GetUserMappingsProtocolProtos.GetGroupsForUserResponseProto`
  `getGroupsForUser(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.tools.proto.GetUserMappingsProtocolProtos.GetGroupsForUserRequestProto request)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RouterGetUserMappingsProtocolServerSideTranslatorPB

    public RouterGetUserMappingsProtocolServerSideTranslatorPB(org.apache.hadoop.tools.GetUserMappingsProtocol impl)

- ## Method Details

  - ### getGroupsForUser

    public org.apache.hadoop.tools.proto.GetUserMappingsProtocolProtos.GetGroupsForUserResponseProto getGroupsForUser(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.tools.proto.GetUserMappingsProtocolProtos.GetGroupsForUserRequestProto request) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `getGroupsForUser` in interface `org.apache.hadoop.tools.proto.GetUserMappingsProtocolProtos.GetUserMappingsProtocolService.BlockingInterface`
    Overrides:
      `getGroupsForUser` in class `org.apache.hadoop.tools.protocolPB.GetUserMappingsProtocolServerSideTranslatorPB`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`